Skip to main content

Update amenities for unit

PUThttps://api.propexo.com/v1/amenities/units/:id

Update unit amenities for any integration. This is a convenience endpoint that acts as a generic proxy for all amenity creation endpoints.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    featuresstring[]

    A list of unit amenities. Any existing amenities associated with the unit that are not submitted in the request will be removed from the unit

    Show 53 enum values
    CableReadyMicrowaveHardwoodFloorsHighSpeedInternetAirConditioningRefrigeratorDishwasherWalkinClosetsBalconyOrDeckOrPatioGarageParkingCarportFencedYardLaundryRoomOrHookupsFireplaceCableReadyCommercialHighSpeedInternetCommercialAirConditioningCommercialHeatingOvenOrRangeHeatElectricHeatGasHeatOilPetsAllowedBalconyPrivateBalconyPrivatePatioDryerHeatWD_HookupWasherAdditionalStorageAlarmCarpetCeilingFanControlledAccessCourtyardDisposalDoubleSinkVanityFramedMirrorsFurnishedHandrailsIndividualClimateControlIslandKitchenLinenClosetPantrySatelliteSkylightTileFlooringVaultedCeilingViewVinylFlooringWheelChairWindowCoverings

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/amenities/units/:id
curl -X PUT https://api.propexo.com/v1/amenities/units/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"features": [
"CableReady"
]
}'
200 Successful response
{
"job_id": "string",
"data": {}
}